MagicWP Docs
Site Config

List nginx feature statuses

GET
/v1/sites/{site_id}/nginx/features

Permission: site.view

Authorization

apiToken
headerAuthorizationBearer <token>

An API token (mwp_…) from Settings → API tokens. Only accepted on this host.

Path Parameters

site_id*Site Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
success*boolean
data*

On/off state of each web-server feature.

message*string
status_code*integer
timestamp*string
Formatdate-time
meta?|null
curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/nginx/features"
{  "message": "string",  "status_code": 0,  "timestamp": "2019-08-24T14:15:22Z",  "meta": {},  "success": true,  "data": {    "fastcgi_cache": true,    "block_bots": true,    "block_xmlrpc": true,    "block_wpincludes": true,    "block_wpadmin": true,    "security_headers": true,    "rate_limiting": true,    "real_ip": true,    "gzip": true,    "open_file_cache": true,    "buffer_tuning": true,    "static_cache": true  }}